curl --request GET \
--url https://api.syntage.com/tax-retentions/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/tax-retentions/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/tax-retentions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"@context": "/contexts/TaxRetention",
"@id": "/tax-retentions/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "TaxRetention",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"uuid": "def404af-5eef-4112-aa99-d1ec8493b89a",
"version": 1,
"code": "25",
"description": "Información referente a la fiduciaria",
"issuer": {
"rfc": "AOM920820BEA",
"name": "APPLE OPERATIONS MEXICO S.A. DE C.V."
},
"receiver": {
"rfc": "PEIC211118IS0",
"name": "Pedro Infante Cruz",
"nationality": "national",
"curp": "PEIC123456ABCDEF12"
},
"pac": "SAT970701NN3",
"internalIdentifier": "00001",
"issuedAt": "2019-01-03T21:10:40.000Z",
"certifiedAt": "2019-01-03T21:10:41.000Z",
"canceledAt": "2023-11-07T05:31:56Z",
"items": [
{
"baseAmount": 45905,
"taxType": "002",
"retainedAmount": 7344,
"paymentType": "provisional"
}
],
"totalOperationAmount": 53249.8,
"totalTaxableAmount": 43249,
"totalExemptAmount": 1000.8,
"totalRetainedAmount": 1550.7,
"periodFrom": "2023-11-07T05:31:56Z",
"periodTo": "2023-11-07T05:31:56Z",
"pdf": true,
"xml": true,
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}{
"message": "<string>"
}{
"message": "<string>"
}Retrieve a tax retention
Retrieve a tax retention by ID, including issuer, receiver, retained taxes, fiscal period, totals, and file availability.
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
Response
Tax retention resource response
Tax retention IRI reference
"/tax-retentions/91106968-1abd-4d64-85c1-4e73d96fb997"
Tax retention ID
"91106968-1abd-4d64-85c1-4e73d96fb997"
Tax retention UUID (Folio fiscal)
"def404af-5eef-4112-aa99-d1ec8493b89a"
CFDI version
1
Retention type code from the Clave de retenciones catalog
01, 02, 03, 04, 05, 06, 07, 08, 09, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26 "25"
Retention type description when code is 25 (other retention types)
"Información referente a la fiduciaria"
Show child attributes
Show child attributes
{
"rfc": "AOM920820BEA",
"name": "APPLE OPERATIONS MEXICO S.A. DE C.V."
}
Show child attributes
Show child attributes
Certification provider tax ID (Proveedor Autorizado de Certificación)
12"SAT970701NN3"
An open field for internal identification. Commonly used to identify a tax retention
40"00001"
Tax retention issue date
"2019-01-03T21:10:40.000Z"
Tax return certification date
"2019-01-03T21:10:41.000Z"
Set when the tax retention is canceled.
Show child attributes
Show child attributes
Operation amount
53249.8
Subtraction between totalOperationAmount and totalExemptAmount
43249
Exempt amount
1000.8
Total retained tax amount
1550.7
Start date for the tax retention period
End date for the tax retention period
true when the CFDI is available in the PDF format. The file can be downloaded through the retrieve a tax retention CFDI operation
true when the CFDI is available in the XML format. The file can be downloaded through the retrieve a tax retention CFDI operation
Date and time the resource was created
"2020-01-01T12:15:00.000Z"
Date and time the resource was last updated
"2020-01-01T12:15:00.000Z"
Was this page helpful?